> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch space claw

> Update a bot

Required token scopes: `space|read`



## OpenAPI

````yaml /swagger.json patch /space/{spaceId}/claw/{botId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /space/{spaceId}/claw/{botId}:
    patch:
      tags:
        - cuppyclaw
      description: |-
        Update a bot

        Required token scopes: `space|read`
      parameters:
        - schema:
            type: string
          required: true
          name: spaceId
          in: path
        - schema:
            type: string
          required: true
          name: botId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 100
                description:
                  type: string
                  maxLength: 500
                model:
                  type: string
                effort:
                  type: string
                  enum:
                    - low
                    - medium
                    - high
                    - xhigh
      responses:
        '200':
          description: The updated bot
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  userId:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                    nullable: true
                  createdBy:
                    type: string
                  createdTime:
                    type: string
                  chatId:
                    type: string
                    nullable: true
                  imPlatform:
                    type: string
                    nullable: true
                    enum:
                      - telegram
                      - feishu
                      - slack
                  avatar:
                    type: string
                    nullable: true
                  accessibleBases:
                    type: array
                    items:
                      type: string
                  model:
                    type: string
                  effort:
                    type: string
                    enum:
                      - low
                      - medium
                      - high
                      - xhigh
                required:
                  - id
                  - userId
                  - name
                  - description
                  - createdBy
                  - createdTime
                  - chatId
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request PATCH \
              --url https://app.teable.ai/api/space/%7BspaceId%7D/claw/%7BbotId%7D \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"name":"string","description":"string","model":"string","effort":"low"}'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/space/%7BspaceId%7D/claw/%7BbotId%7D';

            const options = {
              method: 'PATCH',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"name":"string","description":"string","model":"string","effort":"low"}'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: >-
            const http = require('https');


            const options = {
              method: 'PATCH',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/space/%7BspaceId%7D/claw/%7BbotId%7D',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };


            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });


            req.write(JSON.stringify({name: 'string', description: 'string',
            model: 'string', effort: 'low'}));

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"name\":\"string\",\"description\":\"string\",\"model\":\"string\",\"effort\":\"low\"}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("PATCH", "/api/space/%7BspaceId%7D/claw/%7BbotId%7D",
            payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````